#!/bin/sh
mypath=${0%/*}
showRadio "Подсветка" "Пожалуйста, выберите:" "Подсветка Changliang" "Время подсветки" "Яркость" "Восстановить значения по умолчанию"
case $? in
1)
$mypath/setlcd 0
showNotify "Успешно" "Включена подсветка Changliang" 1
;;
2)rm /tmp/lcdtime.txt
showTextEntry "/tmp/lcdtime.txt" "Введите время" "(В секундах, примерно 10-20 сек)"
[ $? -eq 0 ] && exec $mypath/lcdtime.sh
t=`cat /tmp/lcdtime.txt`
s=$((t-20))
$mypath/setlcd $s
showNotify "Успешно" "Время подсветки установлено в $t секунд" 1
;;
3)
a=`cat $mypath/bright.txt`
showSlider "Пожалуйста, выберите яркость" "" 1 10 $a
ret=$?
if [ $ret -eq 0 ]; then
exit 0
fi
echo "$ret" > $mypath/bright.txt
$mypath/setupBklightBrightness $ret
;;
4)
$mypath/setlcd 10
showNotify "Успешно" "Настройки в системе по умолчанию!" 1
;;
*)
exit 0
;;
esac